Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASQ3

    java.lang.Object
      org.netlib.lapack.SLASQ3

    public class SLASQ3

extends java.lang.Object

    SLASQ3 is a simplified interface to the JLAPACK routine slasq3.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASQ3 checks for deflation, computes a shift (TAU) and calls dqds.
     *  In case of failure it changes shifts, and tries again until output
     *  is positive.
     *
     *  Arguments
     *  =========
     *
     *  I0     (input) INTEGER
     *         First index.
     *
     *  N0     (input) INTEGER
     *         Last index.
     *
     *  Z      (input) REAL array, dimension ( 4*N )
     *         Z holds the qd array.
     *
     *  PP     (input) INTEGER
     *         PP=0 for ping, PP=1 for pong.
     *
     *  DMIN   (output) REAL
     *         Minimum value of d.
     *
     *  SIGMA  (output) REAL
     *         Sum of shifts used in current segment.
     *
     *  DESIG  (input/output) REAL
     *         Lower order part of SIGMA
     *
     *  QMAX   (input) REAL
     *         Maximum value of q.
     *
     *  NFAIL  (output) INTEGER
     *         Number of times shift was too big.
     *
     *  ITER   (output) INTEGER
     *         Number of iterations.
     *
     *  NDIV   (output) INTEGER
     *         Number of divisions.
     *
     *  TTYPE  (output) INTEGER
     *         Shift type.
     *
     *  IEEE   (input) LOGICAL
     *         Flag for IEEE or non IEEE arithmetic (passed to SLASQ5).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLASQ3()`

Method Summary
`static void` | `SLASQ3(int i0, intW n0, float[] z, int pp, floatW dmin, floatW sigma, floatW desig, floatW qmax, intW nfail, intW iter, intW ndiv, boolean ieee)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASQ3

    public SLASQ3()

Method Detail

### SLASQ3

    public static void SLASQ3(int i0,
                              intW n0,
                              float[] z,
                              int pp,
                              floatW dmin,
                              floatW sigma,
                              floatW desig,
                              floatW qmax,
                              intW nfail,
                              intW iter,
                              intW ndiv,
                              boolean ieee)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD